Subject: Re: [bug#75528] [PATCH v3] services: Add power.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 28 Feb 2025 11:11:56 +0900

Hi Tomas,

I was about to merge this, but I have one last (I promise!) question, see
below.

Tomas Volf <[email-masked]> writes:

[...]

> +(define apcupsd-service-type
> +  (service-type
> +   (name 'apcupsd)
> +   (description "Configure and optionally start the apcupsd.")
> +   (extensions (list (service-extension activation-service-type
> +                                        apcupsd-activation)
> +                     (service-extension shepherd-root-service-type
> +                                        apcupsd-shepherd-services)
> +                     (service-extension pam-root-service-type
> +                                        apcupsd-pam-extensions)))
> +   (compose identity)
> +   (extend (lambda (cfg lst)
> +             (fold (cut <> <>) cfg lst)))

What does the above extend does?  I find the (cut <> <>) particularly
cryptic, as it's typically used to specialize procedures, which there
are none above.

-- 
Thanks,
Maxim